PKIXCertStoreSelector (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce

## Class PKIXCertStoreSelector<T extends java.security.cert.Certificate>

- java.lang.Object
- - org.bouncycastle.jcajce.PKIXCertStoreSelector<T>

- All Implemented Interfaces:
    java.lang.Cloneable, Selector<T>

      public class PKIXCertStoreSelector<T extends java.security.cert.Certificate>
      extends java.lang.Object
      implements Selector<T>

  This class is a Selector implementation for certificates.
  See Also:
    `Selector`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PKIXCertStoreSelector.Builder` Builder for a PKIXCertStoreSelector.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `static java.util.Collection<? extends java.security.cert.Certificate>` | `getCertificates(PKIXCertStoreSelector selector, java.security.cert.CertStore certStore)`
    `boolean` | `match(java.security.cert.Certificate cert)` Match the passed in object, returning true if it would be selected by this selector, false otherwise.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### match

          public boolean match(java.security.cert.Certificate cert)

      Description copied from interface: `Selector`
      Match the passed in object, returning true if it would be selected by this selector, false otherwise.
      Specified by:
        `match` in interface `Selector<T extends java.security.cert.Certificate>`
      Parameters:
        `cert` - the object to be matched.
      Returns:
        true if the object is a match for this selector, false otherwise.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `Selector<T extends java.security.cert.Certificate>`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getCertificates

          public static java.util.Collection<? extends java.security.cert.Certificate> getCertificates(PKIXCertStoreSelector selector,
                                                                                       java.security.cert.CertStore certStore)
                                                                                                throws java.security.cert.CertStoreException

      Throws:
        `java.security.cert.CertStoreException`